# Generated by Django 3.0.4 on 2020-10-14 19:32

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Character',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('character', models.CharField(max_length=48)),
            ],
        ),
        migrations.CreateModel(
            name='Game',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('game_id', models.CharField(max_length=32)),
                ('state', models.IntegerField()),
                ('private', models.BooleanField(default=False)),
                ('started', models.BooleanField(default=False)),
                ('joined', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Guess',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('game_id', models.CharField(max_length=32)),
                ('player_index', models.IntegerField()),
                ('skull_index', models.IntegerField()),
                ('character_index', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Player',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('game_id', models.CharField(max_length=32)),
                ('index', models.IntegerField(default=-1)),
                ('name', models.CharField(max_length=16)),
            ],
        ),
        migrations.CreateModel(
            name='Skull',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('game_id', models.CharField(max_length=32)),
                ('index', models.IntegerField()),
                ('character', models.CharField(max_length=48)),
                ('played', models.BooleanField(default=False)),
                ('fst_word', models.CharField(default='', max_length=32)),
                ('sec_word', models.CharField(default='', max_length=32)),
                ('trd_word', models.CharField(default='', max_length=32)),
                ('fth_word', models.CharField(default='', max_length=32)),
            ],
        ),
    ]
